loci.formats

## Class Memoizer.RandomAccessDeser

- java.lang.Object
- - loci.formats.Memoizer.RandomAccessDeser

- All Implemented Interfaces:
    Memoizer.Deser
  Enclosing class:
    Memoizer

      private abstract static class Memoizer.RandomAccessDeser
      extends java.lang.Object
      implements Memoizer.Deser

  Helper implementation that can be used to implement `Memoizer.Deser` classes for libraries working solely with byte arrays.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) loci.common.RandomAccessInputStream` | `loadStream`
    `(package private) loci.common.RandomAccessOutputStream` | `saveStream`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `RandomAccessDeser()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract byte[]` | `bytesFromReader(IFormatReader reader)`
    `IFormatReader` | `loadReader()`
    `java.lang.String` | `loadReleaseVersion()`
    `java.lang.String` | `loadRevision()`
    `void` | `loadStart(java.io.File memoFile)`
    `void` | `loadStop()`
    `java.lang.Integer` | `loadVersion()`
    `protected abstract IFormatReader` | `readerFromBytes(java.lang.Class<IFormatReader> c, byte[] rArr)`
    `void` | `saveReader(IFormatReader reader)`
    `void` | `saveReleaseVersion(java.lang.String version)`
    `void` | `saveRevision(java.lang.String revision)`
    `void` | `saveStart(java.io.File tempFile)`
    `void` | `saveStop()`
    `void` | `saveVersion(java.lang.Integer version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface loci.formats.Memoizer.Deser

      `close`

- - ### Field Detail

    - #### loadStream

          loci.common.RandomAccessInputStream loadStream

    - #### saveStream

          loci.common.RandomAccessOutputStream saveStream

  - ### Constructor Detail

    - #### RandomAccessDeser

          private RandomAccessDeser()

  - ### Method Detail

    - #### loadStart

          public void loadStart(java.io.File memoFile)
                         throws java.io.IOException

      Specified by:
        `loadStart` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### loadVersion

          public java.lang.Integer loadVersion()
                                        throws java.io.IOException

      Specified by:
        `loadVersion` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### loadReleaseVersion

          public java.lang.String loadReleaseVersion()
                                              throws java.io.IOException

      Specified by:
        `loadReleaseVersion` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### loadRevision

          public java.lang.String loadRevision()
                                        throws java.io.IOException

      Specified by:
        `loadRevision` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### loadReader

          public IFormatReader loadReader()
                                   throws java.io.IOException,
                                          java.lang.ClassNotFoundException

      Specified by:
        `loadReader` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### readerFromBytes

          protected abstract IFormatReader readerFromBytes(java.lang.Class<IFormatReader> c,
                                                           byte[] rArr)
                                                    throws java.io.IOException,
                                                           java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### loadStop

          public void loadStop()
                        throws java.io.IOException

      Specified by:
        `loadStop` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### saveStart

          public void saveStart(java.io.File tempFile)
                         throws java.io.IOException

      Specified by:
        `saveStart` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### saveVersion

          public void saveVersion(java.lang.Integer version)
                           throws java.io.IOException

      Specified by:
        `saveVersion` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### saveReleaseVersion

          public void saveReleaseVersion(java.lang.String version)
                                  throws java.io.IOException

      Specified by:
        `saveReleaseVersion` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### saveRevision

          public void saveRevision(java.lang.String revision)
                            throws java.io.IOException

      Specified by:
        `saveRevision` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### saveReader

          public void saveReader(IFormatReader reader)
                          throws java.io.IOException

      Specified by:
        `saveReader` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

    - #### bytesFromReader

          protected abstract byte[] bytesFromReader(IFormatReader reader)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### saveStop

          public void saveStop()
                        throws java.io.IOException

      Specified by:
        `saveStop` in interface `Memoizer.Deser`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment